#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ptlib
Version		:	2.10.11
Release		:	14.4.0.0%{?dist}
Summary		:	Portable Tools Library
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MPL
URL		:	https://download.gnome.org/sources

Source0		:	%{name}-%{version}.tar.xz
Patch1		:	%{name}-%{version}-mga-bison-parameter.patch
Patch2		:	%{name}-%{version}-gcc5.patch
Patch3		:	%{name}-%{version}-gcc8.patch
Patch4		:	%{name}-%{version}-signed_int_overflow.patch
Patch5		:	%{name}-%{version}-openssl11.patch
Patch6		:	%{name}-%{version}-make43.patch
Patch7		:	%{name}-%{version}-pkgconf-no-ldflags.patch

#-----------------------------------------------------------------------------
BuildRequires	:	SDL
BuildRequires	:	alsa-lib
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	pulseaudio
BuildRequires	:	v4l-utils
#-----------------------------------------------------------------------------
%description
'%{name}' (Portable Tools Library) is a moderately large class library
that has it's genesis many years ago as PWLib (portable Windows
Library), a method to product applications to run on both Microsoft
Windows and Unix systems. It has also been ported to other systems
such as Mac OSX, VxWorks and other embedded systems.

It is supplied mainly to support the OPAL project, but that shouldn't
stop you from using it in whatever project you have in mind if you so
desire.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license mpl-1.0.htm
%doc History.txt ReadMe.txt
%attr(755,root,root) %{_libdir}/libpt.so.*
%attr(755,root,root) %{_libdir}/%{name}-%{version}/devices/sound/*.so
%attr(755,root,root) %{_libdir}/%{name}-%{version}/devices/videoinput/*.so

#=============================================================================
%package		devel
Summary		:	Development package for ptlib

	
#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The ptlib-devel package includes the libraries and
header files for ptlib.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%{_includedir}/%{name}.h
%{_includedir}/ptbuildopts.h
%{_includedir}/ptclib/*.h
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/*.inl
%{_includedir}/%{name}/unix/%{name}/*.h
%{_includedir}/%{name}/unix/%{name}/%{name}.inl
%{_libdir}/libpt.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/make/*.mak
%{_datadir}/%{name}/make/%{name}-config

#=============================================================================
%prep
%setup -q
%patch 1 -p1
%patch 2 -p1
%patch 3 -p1
%patch 4 -p1
%patch 5 -p1
%patch 6 -p1
%patch 7 -p1

#-----------------------------------------------------------------------------
%build
aclocal
autoconf -v -f
export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -std=gnu++98"
export STDCXXFLAGS="%{optflags} -std=gnu++98"
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-odbc					\
	--disable-oss					\
	--disable-static				\
	--disable-vfw					\
	--enable-alsa 					\
	--enable-avc					\
	--enable-ffdev					\
	--enable-ipv6					\
	--enable-plugins				\
	--enable-pulse 					\
	--enable-sdl					\
	--enable-v4l2					\
	--enable-v4l					\
	--enable-video					\
	--enable-vidfile				\
	--enable-wavfile				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-type f -exec chmod u+w,+x {} \;

#-----------------------------------------------------------------------------
%changelog
